Page MenuHomePhabricator

Use the Latin Modern Math fonts for native MathML
Closed, ResolvedPublic

Description

Currently, our fonts are:

font-family: Cambria Math, Latin Modern Math, STIX Math, LatinModernMathWOFF, MathJax_Main, STIXGeneral, serif;

The GUST people are currently working on fixing the ascent/descent bugs in their fonts. When this is ready, we should update our WOFF fonts and try to always use Latin Modern Math by default. This will give a default rendering consistent with the current PNG image rendering (computer modern style).

(Of course users could still easily rely on custom stylesheets or browser add-ons to change the default font-family)


Version: master
Severity: normal

Details

Reference
bz70360

Related Objects

StatusAssignedTask
ResolvedNone
Resolvedfredw
ResolvedNone

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:45 AM
bzimport added a project: Math.
bzimport set Reference to bz70360.
fredw created this task.Sep 3 2014, 6:41 PM

physik wrote:

I assume you will keep track of this?

fredw added a comment.Oct 5 2014, 6:09 PM

The GUST people upgraded their MATH fonts. However, I'm not sure the ascent/descent bug is 100% fixed. I'll come back later on that.

gerritadmin wrote:

Change 164796 had a related patch set uploaded by Frédéric Wang:
Modify the math font-family for native MathML

https://gerrit.wikimedia.org/r/164796

gerritadmin wrote:

Change 164796 merged by jenkins-bot:
Upgrade Latin Modern Math to 1.959

https://gerrit.wikimedia.org/r/164796

fredw added a comment.Oct 11 2014, 4:40 PM

I'm closing this bug since some versions of Windows (without hardware acceleration) have some bugs that prevent to use Latin Modern Math for now. At least the two commits should improve the font-family a bit and users could use custom CSS if they wish.